# LayerZero OFT

### `send`

```solidity
/**
* @dev Executes the send operation.
* @param _sendParam The parameters for the send operation.
* @param _fee The calculated fee for the send() operation.
*      - nativeFee: The native fee.
*      - lzTokenFee: The lzToken fee.
* @param _refundAddress The address to receive any excess funds.
* @return msgReceipt The receipt for the send operation.
* @return oftReceipt The OFT receipt information.
*
* @dev MessagingReceipt: LayerZero msg receipt
*  - guid: The unique identifier for the sent message.
*  - nonce: The nonce of the sent message.
*  - fee: The LayerZero fee incurred for the message.
*/
function send(
   SendParam calldata _sendParam,
   MessagingFee calldata _fee,
   address _refundAddress
) external payable virtual returns (MessagingReceipt memory msgReceipt, OFTReceipt memory oftReceipt);
```

When bridging any OFT compatible token in the StakeUp ecosystem, `stUsdc` or `SUP`, the `send` function accomplishes this without the need of extra third party bridges.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeup.finance/technical-docs/smart-contracts/tokens/layerzero-oft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
